Download it now!
Bug 48331 - FORMATTING: Format Painter have undefined behavior
Summary: FORMATTING: Format Painter have undefined behavior
Status: RESOLVED DUPLICATE of bug 59029
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.3.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-05 04:37 UTC by Kenneth
Modified: 2016-01-21 12:42 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
steps and test to reproduce bug. (11.73 KB, application/vnd.oasis.opendocument.text)
2012-04-05 04:38 UTC, Kenneth
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth 2012-04-05 04:37:11 UTC
Steps to reproduce:
See document.

Current behavior: Sometimes formatting works, but mostly the paragraph either does not change or all formatting except italic works, etc. It seems to behave bad if some text are defualt font/size/color used by document.

Expected behavior: All formatting shall be copied onto paragraph selected.

Platform: Win 7 x64
Comment 1 Kenneth 2012-04-05 04:38:38 UTC
Created attachment 59516 [details]
steps and test to reproduce bug.
Comment 2 bfoman (inactive) 2012-08-31 09:30:32 UTC
Bug report:

Set cursor in test2 word below in paragrap 'A'.
Click format painter icon.
Click test1 word in paragraph 'B'.
This works!
Now set cursor in test3 word below in paragrap 'B'.
Click format painter icon.
Click test2 word in paragraph 'a'.
Wohaa, whole line get converted  to default and the test2 word is correct! 
Now set cursor in test5 word below in paragrap 'B'.
Click format painter icon.
Click test4 word in paragraph 'B'.
Wohaa, nothing happens! 

Confirmed with:
LO 3.5.6.2 
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

Confirmed all above.
Comment 3 Kenneth 2013-07-12 05:47:29 UTC
Tested again on LO 4.0.3.3 and problem persists.
Comment 4 Denis Dobbin 2013-10-01 17:18:11 UTC
Tested on LO 4.1.1.2 and the problem persists

Format Painter only apply character format, it don't copy paragraph format.
Comment 5 QA Administrators 2015-04-01 14:40:51 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   *Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.1 or later)
   https://www.libreoffice.org/download/

   *If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
   *If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   *Update the version field
   *Reply via email (please reply directly on the bug tracker)
   *Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 
3. Leave a comment with your results. 
4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2015-04-01
Comment 6 Kenneth 2015-04-07 07:32:11 UTC
Tested again on LO 4.4.1.2 and problem persists.
Comment 7 Cor Nouws 2016-01-21 12:42:43 UTC
Hi Kenneth,

I expect this to designed behaviour.
Please see comment  5 in the issue tdf#59029

*** This bug has been marked as a duplicate of bug 59029 ***